Package com.pixelmed.display

## Class WindowCenterAndWidth

- java.lang.Object
- - com.pixelmed.display.WindowCenterAndWidth

-     public class WindowCenterAndWidth
      extends java.lang.Object

  A class of static methods to perform window operations on images.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowCenterAndWidth()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `applyPaddingValueRangeToLUT​(byte[] lut, int pad, int padRangeLimit, int mask)` |

    `static java.awt.image.BufferedImage`

    `applyVOILUT​(java.awt.image.BufferedImage src, double center, double width, double identityCenter, double identityWidth, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int numberOfEntries, int firstValueMapped, int bitsPerEntry, short[] grayTable, int entryMin, int entryMax, int topOfEntryRange)`

    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, boolean useExactCalculationInsteadOfDICOMStandardMethod)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLinearToColorImage​(java.awt.image.BufferedImage src, double center, double width)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLogistic​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthLogistic​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthWithPaletteColor​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)` |
    `static java.awt.image.BufferedImage` | `applyWindowCenterAndWidthWithPaletteColor​(java.awt.image.BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowCenterAndWidth

          public WindowCenterAndWidth()

  - ### Method Detail

    - #### applyPaddingValueRangeToLUT

          protected static void applyPaddingValueRangeToLUT​(byte[] lut,
                                                            int pad,
                                                            int padRangeLimit,
                                                            int mask)

      Parameters:
        `lut` -
        `pad` -
        `padRangeLimit` -
        `mask` -

    - #### applyWindowCenterAndWidthLogistic

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLogistic​(java.awt.image.BufferedImage src,
                                                                                             double center,
                                                                                             double width,
                                                                                             boolean signed,
                                                                                             boolean inverted,
                                                                                             double useSlope,
                                                                                             double useIntercept,
                                                                                             boolean usePad,
                                                                                             int pad)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -

    - #### applyWindowCenterAndWidthLogistic

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLogistic​(java.awt.image.BufferedImage src,
                                                                                             double center,
                                                                                             double width,
                                                                                             boolean signed,
                                                                                             boolean inverted,
                                                                                             double useSlope,
                                                                                             double useIntercept,
                                                                                             boolean usePad,
                                                                                             int pad,
                                                                                             int padRangeLimit)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `padRangeLimit` -

    - #### applyWindowCenterAndWidthLinear

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src,
                                                                                           double center,
                                                                                           double width,
                                                                                           boolean signed,
                                                                                           boolean inverted,
                                                                                           double useSlope,
                                                                                           double useIntercept,
                                                                                           boolean usePad,
                                                                                           int pad)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -

    - #### applyWindowCenterAndWidthLinear

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src,
                                                                                           double center,
                                                                                           double width,
                                                                                           boolean signed,
                                                                                           boolean inverted,
                                                                                           double useSlope,
                                                                                           double useIntercept,
                                                                                           boolean usePad,
                                                                                           int pad,
                                                                                           int padRangeLimit)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `padRangeLimit` -

    - #### applyWindowCenterAndWidthLinear

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLinear​(java.awt.image.BufferedImage src,
                                                                                           double center,
                                                                                           double width,
                                                                                           boolean signed,
                                                                                           boolean inverted,
                                                                                           double useSlope,
                                                                                           double useIntercept,
                                                                                           boolean usePad,
                                                                                           int pad,
                                                                                           int padRangeLimit,
                                                                                           boolean useExactCalculationInsteadOfDICOMStandardMethod)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `padRangeLimit` -
        `useExactCalculationInsteadOfDICOMStandardMethod` -

    - #### applyWindowCenterAndWidthWithPaletteColor

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthWithPaletteColor​(java.awt.image.BufferedImage src,
                                                                                                     double center,
                                                                                                     double width,
                                                                                                     boolean signed,
                                                                                                     boolean inverted,
                                                                                                     double useSlope,
                                                                                                     double useIntercept,
                                                                                                     boolean usePad,
                                                                                                     int pad,
                                                                                                     int largestGray,
                                                                                                     int bitsPerEntry,
                                                                                                     int numberOfEntries,
                                                                                                     short[] redTable,
                                                                                                     short[] greenTable,
                                                                                                     short[] blueTable)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `largestGray` -
        `bitsPerEntry` -
        `numberOfEntries` -
        `redTable` -
        `greenTable` -
        `blueTable` -

    - #### applyWindowCenterAndWidthWithPaletteColor

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthWithPaletteColor​(java.awt.image.BufferedImage src,
                                                                                                     double center,
                                                                                                     double width,
                                                                                                     boolean signed,
                                                                                                     boolean inverted,
                                                                                                     double useSlope,
                                                                                                     double useIntercept,
                                                                                                     boolean usePad,
                                                                                                     int pad,
                                                                                                     int padRangeLimit,
                                                                                                     int largestGray,
                                                                                                     int bitsPerEntry,
                                                                                                     int numberOfEntries,
                                                                                                     short[] redTable,
                                                                                                     short[] greenTable,
                                                                                                     short[] blueTable)

      Parameters:
        `src` -
        `center` -
        `width` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `padRangeLimit` -
        `largestGray` -
        `bitsPerEntry` -
        `numberOfEntries` -
        `redTable` -
        `greenTable` -
        `blueTable` -

    - #### applyWindowCenterAndWidthLinearToColorImage

          public static final java.awt.image.BufferedImage applyWindowCenterAndWidthLinearToColorImage​(java.awt.image.BufferedImage src,
                                                                                                       double center,
                                                                                                       double width)

      Parameters:
        `src` -
        `center` -
        `width` -

    - #### applyVOILUT

          public static final java.awt.image.BufferedImage applyVOILUT​(java.awt.image.BufferedImage src,
                                                                       double center,
                                                                       double width,
                                                                       double identityCenter,
                                                                       double identityWidth,
                                                                       boolean signed,
                                                                       boolean inverted,
                                                                       double useSlope,
                                                                       double useIntercept,
                                                                       boolean usePad,
                                                                       int pad,
                                                                       int padRangeLimit,
                                                                       int numberOfEntries,
                                                                       int firstValueMapped,
                                                                       int bitsPerEntry,
                                                                       short[] grayTable,
                                                                       int entryMin,
                                                                       int entryMax,
                                                                       int topOfEntryRange)

      Parameters:
        `src` -
        `center` -
        `width` -
        `identityCenter` -
        `identityWidth` -
        `signed` -
        `inverted` -
        `useSlope` -
        `useIntercept` -
        `usePad` -
        `pad` -
        `padRangeLimit` -
        `numberOfEntries` -
        `bitsPerEntry` -
        `grayTable` -
        `entryMin` -
        `entryMax` -
        `topOfEntryRange` -